# ACE_Asynch_Read_Dgram_Result_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Read_Dgram::Result class. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Read_Dgram_Result_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Read_Dgram_Result_Impl:

[legend]
List of all members.

## Public Member Functions

virtual | ~ACE_Asynch_Read_Dgram_Result_Impl (void)
virtual ACE_Message_Block * | message_block (void) const =0
| Message block which contains the read data.
virtual size_t | bytes_to_read (void) const =0
virtual int | remote_address (ACE_Addr &addr) const =0
| The address of where the packet came from.
virtual int | flags (void) const =0
| The flags used in the read.
virtual ACE_HANDLE | handle (void) const =0
| I/O handle used for reading.

## Protected Member Functions

| ACE_Asynch_Read_Dgram_Result_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Read_Dgram::Result class.

## Constructor & Destructor Documentation

ACE_Asynch_Read_Dgram_Result_Impl::~ACE_Asynch_Read_Dgram_Result_Impl | ( | void |  | ) | `[virtual]`

ACE_Asynch_Read_Dgram_Result_Impl::ACE_Asynch_Read_Dgram_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual size_t ACE_Asynch_Read_Dgram_Result_Impl::bytes_to_read | ( | void |  | ) | const`[pure virtual]`

| The number of bytes which were requested at the start of the asynchronous read. Implemented in ACE_POSIX_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Read_Dgram_Result.

virtual int ACE_Asynch_Read_Dgram_Result_Impl::flags | ( | void |  | ) | const`[pure virtual]`

| The flags used in the read. Implemented in ACE_POSIX_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Read_Dgram_Result.

virtual ACE_HANDLE ACE_Asynch_Read_Dgram_Result_Impl::handle | ( | void |  | ) | const`[pure virtual]`

| I/O handle used for reading. Implemented in ACE_POSIX_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Read_Dgram_Result.

virtual ACE_Message_Block* ACE_Asynch_Read_Dgram_Result_Impl::message_block | ( | void |  | ) | const`[pure virtual]`

| Message block which contains the read data. Implemented in ACE_POSIX_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Read_Dgram_Result.

virtual int ACE_Asynch_Read_Dgram_Result_Impl::remote_address | ( | ACE_Addr & | addr | ) | const`[pure virtual]`

| The address of where the packet came from. Implemented in ACE_POSIX_Asynch_Read_Dgram_Result, and ACE_WIN32_Asynch_Read_Dgram_Result.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp